io.vertx.redis.op

## Class MigrateOptions

- java.lang.Object
- - io.vertx.redis.op.MigrateOptions

- Deprecated.
  Use `Redis`

      @Deprecated
      public class MigrateOptions
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MigrateOptions` | `NONE` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrateOptions()` Deprecated.
    `MigrateOptions(JsonObject json)` Deprecated.
    `MigrateOptions(MigrateOptions obj)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `MigrateOptions` | `setCopy(Boolean copy)` Deprecated.
    `MigrateOptions` | `setReplace(Boolean replace)` Deprecated.
    `JsonObject` | `toJson()` Deprecated.
    `JsonArray` | `toJsonArray()` Deprecated.
    `MigrateOptions` | `useCopy()` Deprecated.
    `MigrateOptions` | `useReplace()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final MigrateOptions NONE

      Deprecated.

  - ### Constructor Detail

    - #### MigrateOptions

          public MigrateOptions()

      Deprecated.

    - #### MigrateOptions

          public MigrateOptions(MigrateOptions obj)

      Deprecated.

    - #### MigrateOptions

          public MigrateOptions(JsonObject json)

      Deprecated.

  - ### Method Detail

    - #### setCopy

          public MigrateOptions setCopy(Boolean copy)

      Deprecated.

    - #### setReplace

          public MigrateOptions setReplace(Boolean replace)

      Deprecated.

    - #### useCopy

          public MigrateOptions useCopy()

      Deprecated.

    - #### useReplace

          public MigrateOptions useReplace()

      Deprecated.

    - #### toJson

          public JsonObject toJson()

      Deprecated.

    - #### toJsonArray

          public JsonArray toJsonArray()

      Deprecated.

Copyright © 2020 Eclipse. All rights reserved.